# Holistic Plugin

*Release Date: 2020-04-01*


## Beschreibung

Wer erinnert sich nicht noch nostalgisch an die frühen Tage der digitalen Kommunikation, 
als das Arbeiten mit dem Rechner nicht nur ein optisches, sondern auch ein akustisches Erlebnis war -
 der versierte Benutzer konnte schon am Klang erkennen, ob ein Einwahlversuch erfolgreich war oder nicht, 
 und musste nicht auf die Fehlermeldung des Systems warten (~~siehe~~ höre [1]).

Mit einer kostenlosen Erweiterung möchten wir nun auch einen ähnlichen Ansatz verfolgen und das 
automatisierte Testen mit QF-Test zu einem ganzheitlichen Erlebnis machen. Mit dem Gespür für 
das Detail und umfangreichen Benutzerstudien haben unsere Ingenieure es geschafft, die Test-Ausführung 
live hörbar zu machen. Jeder Test hat nun seinen charakteristischen auditiven Fußabdruck - 
dies ermöglicht dem geübten Tester, sich noch intensiver in seine Testabläufe einzufühlen.

Quality First Software setzt mit der "Ganzheitlichen Testausführung" einen Meilenstein in der Geschichte 
der automatisierten Testentwicklung. Gehen Sie mit uns diesen nächsten Schritt in der Evolution 
des automatisierten Testens: Laden Sie sich kostenlos das „Holistic Plugin“ herunter, extrahieren Sie 
den Inhalt der ZIP-Datei  in das "plugin"-Verzeichnis Ihrer QF-Test-Installation (siehe Kapitel 44.2 
im Handbuch [2]) und starten Sie QF-Test neu. Und vergessen Sie nicht, beim nächsten Test-Start 
die Lautsprecher Ihres Systems zu aktivieren!

[1] https://www.youtube.com/watch?v=gsNaR6FRuO0
[2] https://www.qfs.de/qf-test-handbuch/lc/manual-de-tech_scripting.html#sec_plugindir

Hinweis: Zur Deinstallation kann die jar-Datei wieder aus dem Plugin-Verzeichnis entfernt werden, wenn
QF-Test nicht geöffnet ist. 

## Description

Who doesn't reminesce about the good old days, when working on a computer wasn't just a plain visual, 
but rather an audiovisual experience? An advanced user could use the dial-up modem noise to detect 
whether or not their connection to the internet was succesful - way before seeing their systems' 
error message (~~see~~ hear here [1]).

With our new plugin we strive to bring back those times and make automatic testing with QF-Test 
a holistic experience. Extensive research and a lot of coffee went into making test execution audible. 
Every test now has its own characteristic sound, making each test an avant-garde work of art and allowing 
professional testers to empathize with their test-runs on a entirely different level.

One can say without exaggeration that Quality First Software achieved with the "Holistic Test Execution" 
a milestone in the history of automatic testing. This is a small step for QF-Test, but a giant leap 
for quality assessment - and we invite you to join us: Download the "Holistic Plugin" free of charge, 
unzip the file into the "plugin"-directory of your QF-Test-installation (see manual chapter 44.2 [2]) 
and restart QF-Test. And don't forget to turn up the volume before you start your next test!

[1] https://www.youtube.com/watch?v=gsNaR6FRuO0
[2] https://www.qfs.de/en/qf-test-manual/lc/manual-en-tech_scripting.html#sec_plugindir

Remark: To uninstall, simply remove the jar file from the plugin folder (while QF-Test is closed).